x We have placed cookies on your device to make your experience better. Find more info here.
x PhoneArena.com наема във Варна! Ако технологиите са в кръвта ти и имаш перфектен писмен английски,
ние ти даваме възможността да станеш част от екипа ни. - виж повече
  • Options
    Close




Cut the Rope 2 finally makes it to Android, not compatible for everyone though

0. phoneArena 28 Mar 2014, 08:53 posted on

It has been over three months since ZeptoLab released Cut the Rope 2 on iOS, and the game has finally come to Android devices. Well, not all Android devices, but hopefully the majority of them. Cut the Rope 2 hit the Google Play Store today, and will be coming to the Amazon Appstore on Sunday, but early reports are showing that the game may not be compatible with Android 4.4 KitKat...

This is a discussion for a news. To read the whole news, click here

posted on 28 Mar 2014, 08:56

1. Antimio (Posts: 279; Member since: 11 Nov 2013)


Confirmed. Nexus 4 and Nexus 7 2012 not compatible, yet.

posted on 28 Mar 2014, 08:56 2

2. Kishin (Posts: 628; Member since: 30 May 2013)


I finished the game already..

posted on 28 Mar 2014, 09:30

3. WingMan (Posts: 9; Member since: 28 Mar 2008)


LG G2 not compatible as well....

posted on 28 Mar 2014, 09:46

4. onlyman1980 (Posts: 7; Member since: 07 Aug 2012)


Its also didn't compatible with Note 3 (4.3) , however i installed it on Note 3 and it works perfectly ;)

posted on 28 Mar 2014, 10:12

5. palmguy (Posts: 302; Member since: 22 Mar 2011)


I get the message it is not available in my country. I have the Moto X on Verizon and I'm in Georgia. ?

posted on 28 Mar 2014, 17:00

17. JunitoNH (Posts: 956; Member since: 15 Feb 2012)


I guarantee you, if you change your location say, California. You would not experience any problems. It probably thinks you are in Georgia, Russia. I have the Moto X verizon and works great, GL

posted on 28 Mar 2014, 10:46

6. SaulM (Posts: 1; Member since: 28 Mar 2014)


SGS3 (4.3) not compatible!

posted on 28 Mar 2014, 11:28

7. Berzerk000 (Posts: 4098; Member since: 26 Jun 2011)


Compatible with my Droid Mini on 4.4.

posted on 28 Mar 2014, 11:42

8. Ummay (Posts: 4; Member since: 16 Mar 2014)


working fine on xperia sp having android 4.3 .....

posted on 28 Mar 2014, 11:53

9. noim1 (Posts: 297; Member since: 15 May 2012)


Downloading now on my SGS 3 I9300 android 4.3 ....cant wait to play !!!

posted on 28 Mar 2014, 12:09

10. nitinraj (Posts: 11; Member since: 28 Mar 2014)


Working on Sony Xperia Z !!

posted on 28 Mar 2014, 12:36

11. raghu67 (Posts: 26; Member since: 23 Aug 2012)


installing to nexus 5, 4.4.2

posted on 28 Mar 2014, 14:42

12. crazymonkey05 (Posts: 156; Member since: 20 Nov 2012)


Works on Samsung GSIII (4.3)

posted on 28 Mar 2014, 15:02

13. hms2407 (Posts: 94; Member since: 25 Apr 2013)


Compatible with my nexus 5 (4.4.2)

posted on 28 Mar 2014, 15:14

14. JunitoNH (Posts: 956; Member since: 15 Feb 2012)


Working fine with my Moto X, 4.4.2

posted on 28 Mar 2014, 15:26

15. uchihakurtz (Posts: 270; Member since: 12 Nov 2012)


It works on my Nexus 4 (4.4.2), the ads, annoying :/

posted on 28 Mar 2014, 15:40

16. fcobtz (Posts: 4; Member since: 24 Nov 2013)


Yes, it works on my N4 too, i dont know why it doesnt work for others N4, maybe for the country

posted on 28 Mar 2014, 19:03

18. ph00ny (Posts: 606; Member since: 26 May 2011)


"This app is compatible with all of your devices."
Galaxy Note 3 (AT&T)
Galaxy Note 2 (AT&T)
Galaxy Note 1 (Intl)
Galaxy S 4 (Sprint)
Galaxy S 3 (Sprint)
Nexus 10

posted on 28 Mar 2014, 20:14

19. vincenthh (Posts: 1; Member since: 28 Mar 2014)


Work on my note2 running 4.3

posted on 28 Mar 2014, 21:19

20. Reeyawn (Posts: 65; Member since: 21 Apr 2013)


works on my LG G2 running 4.4.2

posted on 28 Mar 2014, 21:31

21. SamsungELITE (unregistered)


works on my Galaxy S4 Active

posted on 29 Mar 2014, 10:33

22. Xtrifer (Posts: 5; Member since: 14 May 2011)


I have a nexus 4 with google now launcher and it works fine

posted on 29 Mar 2014, 13:24

23. Andrewtst (Posts: 352; Member since: 25 Jan 2009)


It show compatible in my Note 3 - KitKat 4.4.2 and I just finish install it. ;)

Want to comment? Please login or register.

Latest stories